# engage-zapier
* This project contains Zapier integration API.

**Docker command**

# Create Docker Image
* sudo docker build -f /opt/docker_compose/engage_zapier_dockerFile -t engage-zapier-service .

# Run Docker Container
* sudo docker run -itd --restart unless-stopped -v /data/engage/logs/zapier/:/data/engage/logs/zapier/ -p 8707:8707 --network=host --name engage-zapier-service-image engage-zapier-service

# Header for all API

```json
{
  "dsmId": "C0D5C235DFCB35E57E51B42B7B9C82C2",
  "Content-Type": "application/json",
  "Authorization": "Bearer 392efc03-4641-43cd-91c2-e72144c30ffb"
}
```

# API Response 
* **[GET]:/user/info**
```json
{
    "status": "OK",
    "result": {
        "firstName": "firstName",
        "lastName": "lastName",
        "mobile": "9818093963",
        "email": "user@test.com",
        "fullName": "full name"
    }
}
```
* **[GET]:/lead/fields**

```json

{
  "status": "OK",
  "result": [
    {
      "id": 3,
      "fieldName": "First Name",
      "formFieldName": "firstName",
      "fieldType": "Text",
      "fieldLength": "100",
      "sortOrder": 8,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 21,
      "fieldName": "LinkedIn Profile",
      "formFieldName": "linkedinId",
      "fieldType": "URL",
      "sortOrder": 24,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 17,
      "fieldName": "Product Interest",
      "formFieldName": "productInterest",
      "fieldType": "PickList",
      "sortOrder": 25,
      "isMandatory": false,
      "defaultValue": "0",
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 22,
      "fieldName": "Twitter Profile",
      "formFieldName": "twitterId",
      "fieldType": "URL",
      "sortOrder": 26,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 23,
      "fieldName": "Skype Profile",
      "formFieldName": "skypeUrl",
      "fieldType": "Skype",
      "sortOrder": 27,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 15,
      "fieldName": "Annual Revenue",
      "formFieldName": "annualRevenue",
      "fieldType": "Currency",
      "fieldLength": "10",
      "sortOrder": 20,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 2,
      "fieldName": "Contact No.",
      "formFieldName": "phone",
      "fieldType": "Phone",
      "sortOrder": 9,
      "isMandatory": true,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 16,
      "fieldName": "No. of employees",
      "formFieldName": "noofemployees",
      "fieldType": "Integer",
      "fieldLength": "5",
      "sortOrder": 21,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 826,
      "fieldName": "Lead Sub Source",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 246,
          "value": "Festival Offer 2021"
        },
        {
          "id": 243,
          "value": "Web-Demo"
        },
        {
          "id": 244,
          "value": "Web-Trial"
        },
        {
          "id": 247,
          "value": "Lead Form"
        },
        {
          "id": 245,
          "value": "Web-Contact Us"
        },
        {
          "id": 249,
          "value": "Channel Partner Offer"
        }
      ],
      "sortOrder": 40,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 19,
      "fieldName": "Reason",
      "formFieldName": "reason_unqualified",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 346,
          "value": "Lost to competitor/Chosen a competitor"
        },
        {
          "id": 347,
          "value": "Lost Momentum"
        },
        {
          "id": 348,
          "value": "Poor Qualification"
        },
        {
          "id": 349,
          "value": "We were too Expensive"
        },
        {
          "id": 350,
          "value": "Poor Follow-up"
        },
        {
          "id": 351,
          "value": "Others"
        },
        {
          "id": 516,
          "value": "Duplicate Lead"
        }
      ],
      "sortOrder": 22,
      "isMandatory": true,
      "defaultValue": "0",
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 20,
      "fieldName": "Other Reason",
      "formFieldName": "reasonOther",
      "fieldType": "Text",
      "fieldLength": "100",
      "sortOrder": 23,
      "isMandatory": true,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 18,
      "fieldName": "Status",
      "formFieldName": "leadStatus",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 9,
          "value": "Contacted"
        },
        {
          "id": 58,
          "value": "Open Lead"
        },
        {
          "id": 59,
          "value": "Converted"
        },
        {
          "id": 60,
          "value": "Un Approved"
        },
        {
          "id": 61,
          "value": "Un Qualified"
        },
        {
          "id": 87,
          "value": "Qualified Lead"
        },
        {
          "id": 457,
          "value": "Documents Uploaded"
        },
        {
          "id": 542,
          "value": "In Progress"
        },
        {
          "id": 543,
          "value": "BD Qualified"
        },
        {
          "id": 544,
          "value": "Pre Sales"
        },
        {
          "id": 545,
          "value": "Closed Won"
        },
        {
          "id": 546,
          "value": "Closed Lost"
        },
        {
          "id": 547,
          "value": "Sales Qualified"
        }
      ],
      "sortOrder": 12,
      "isMandatory": true,
      "defaultValue": "0",
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 6,
      "fieldName": "Fax",
      "formFieldName": "fax",
      "fieldType": "Phone",
      "sortOrder": 13,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 9,
      "fieldName": "Website",
      "formFieldName": "website",
      "fieldType": "URL",
      "sortOrder": 14,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 814,
      "fieldName": "test1",
      "fieldType": "Text Area",
      "sortOrder": 32,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 827,
      "fieldName": "formula addition",
      "fieldType": "Formula",
      "sortOrder": 41,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 1200,
      "fieldName": "Lead Id",
      "formFieldName": "leadId",
      "fieldType": "Integer",
      "sortOrder": 43,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 13,
      "fieldName": "D.O.B",
      "formFieldName": "dateOfBirth",
      "fieldType": "Date",
      "sortOrder": 15,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 11,
      "fieldName": "Designation",
      "formFieldName": "role",
      "fieldType": "Text",
      "fieldLength": "100",
      "sortOrder": 16,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 821,
      "fieldName": "utmContent",
      "fieldType": "Text",
      "fieldLength": "255",
      "sortOrder": 36,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 817,
      "fieldName": "Membership Plan",
      "fieldType": "Autogenerated Sequence",
      "sortOrder": 33,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 12,
      "fieldName": "Lead Scoring",
      "formFieldName": "rating",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 116,
          "value": "Hot"
        },
        {
          "id": 118,
          "value": "Cold"
        },
        {
          "id": 311,
          "value": "Warm"
        }
      ],
      "sortOrder": 17,
      "isMandatory": false,
      "defaultValue": "0",
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 822,
      "fieldName": "utmMedium",
      "fieldType": "Text",
      "fieldLength": "255",
      "sortOrder": 37,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 819,
      "fieldName": "custom field text",
      "fieldType": "Text",
      "fieldLength": "20",
      "sortOrder": 34,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 8,
      "fieldName": "Email",
      "formFieldName": "email",
      "fieldType": "Email",
      "sortOrder": 10,
      "isMandatory": true,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 5,
      "fieldName": "Last Name",
      "formFieldName": "lastName",
      "fieldType": "Text",
      "fieldLength": "100",
      "sortOrder": 11,
      "isMandatory": true,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 4,
      "fieldName": "Mobile",
      "formFieldName": "mobile",
      "fieldType": "Phone",
      "sortOrder": 4,
      "isMandatory": true,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 10,
      "fieldName": "Industry",
      "formFieldName": "industry",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 27,
          "value": "Automotive"
        },
        {
          "id": 28,
          "value": "Biotechnology"
        },
        {
          "id": 29,
          "value": "Broadcasting and Cable"
        },
        {
          "id": 30,
          "value": "Computer"
        },
        {
          "id": 31,
          "value": "Consulting"
        },
        {
          "id": 32,
          "value": "Defense"
        },
        {
          "id": 33,
          "value": "Energy"
        },
        {
          "id": 34,
          "value": "Education"
        },
        {
          "id": 35,
          "value": "Financial Services"
        },
        {
          "id": 36,
          "value": "Food & Beverages"
        },
        {
          "id": 37,
          "value": "Healthcare"
        },
        {
          "id": 39,
          "value": "Insurance"
        },
        {
          "id": 40,
          "value": "Internet Publishing"
        },
        {
          "id": 41,
          "value": "Legal"
        },
        {
          "id": 43,
          "value": "Pharmaceuticals"
        },
        {
          "id": 44,
          "value": "Real Estate"
        },
        {
          "id": 45,
          "value": "Retail"
        },
        {
          "id": 47,
          "value": "Transportation"
        },
        {
          "id": 248,
          "value": "Agriculture"
        },
        {
          "id": 249,
          "value": "Apparel/Accessories"
        },
        {
          "id": 250,
          "value": "Banking"
        },
        {
          "id": 251,
          "value": "Chemicals"
        },
        {
          "id": 254,
          "value": "Electronics"
        },
        {
          "id": 255,
          "value": "Engineering"
        },
        {
          "id": 257,
          "value": "Government"
        },
        {
          "id": 258,
          "value": "Machinery"
        },
        {
          "id": 262,
          "value": "Other"
        },
        {
          "id": 264,
          "value": "Shipping"
        },
        {
          "id": 265,
          "value": "Technology"
        },
        {
          "id": 266,
          "value": "Utility"
        },
        {
          "id": 267,
          "value": "Entertainment"
        },
        {
          "id": 285,
          "value": "Accounting"
        },
        {
          "id": 286,
          "value": "Advertising"
        },
        {
          "id": 287,
          "value": "Aerospace"
        },
        {
          "id": 288,
          "value": "Brokerage"
        },
        {
          "id": 289,
          "value": "Call Centres"
        },
        {
          "id": 290,
          "value": "Cargo Handling"
        },
        {
          "id": 292,
          "value": "Cosmetics"
        },
        {
          "id": 293,
          "value": "Construction"
        },
        {
          "id": 294,
          "value": "Department Stores"
        },
        {
          "id": 295,
          "value": "Consumer products"
        },
        {
          "id": 296,
          "value": "Grocery"
        },
        {
          "id": 298,
          "value": "Hospitality"
        },
        {
          "id": 299,
          "value": "Investment Banking"
        },
        {
          "id": 300,
          "value": "ITES/IT"
        },
        {
          "id": 301,
          "value": "Metal & Mining"
        },
        {
          "id": 302,
          "value": "Manufacturing"
        },
        {
          "id": 303,
          "value": "Motion Picture"
        },
        {
          "id": 304,
          "value": "Music"
        },
        {
          "id": 305,
          "value": "Newspaper Publishing"
        },
        {
          "id": 306,
          "value": "Private Equity"
        },
        {
          "id": 307,
          "value": "Publishing"
        },
        {
          "id": 308,
          "value": "Service"
        },
        {
          "id": 309,
          "value": "Sports"
        },
        {
          "id": 310,
          "value": "Telecommunication"
        },
        {
          "id": 378,
          "value": "End User"
        },
        {
          "id": 379,
          "value": "Retailer"
        },
        {
          "id": 380,
          "value": "Distributor"
        },
        {
          "id": 381,
          "value": "Stockist"
        },
        {
          "id": 386,
          "value": "Architect"
        },
        {
          "id": 387,
          "value": "Dealer"
        },
        {
          "id": 388,
          "value": "Manufacturer"
        },
        {
          "id": 389,
          "value": "Freelancer"
        },
        {
          "id": 390,
          "value": "Administrator"
        },
        {
          "id": 391,
          "value": "Tailors"
        },
        {
          "id": 392,
          "value": "Builders"
        },
        {
          "id": 393,
          "value": "Developers"
        },
        {
          "id": 394,
          "value": "Interior Designer"
        },
        {
          "id": 395,
          "value": "Architect Cum Interior Designer"
        },
        {
          "id": 396,
          "value": "System Integrator"
        }
      ],
      "sortOrder": 18,
      "isMandatory": false,
      "defaultValue": "0",
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 14,
      "fieldName": "Lead Source",
      "formFieldName": "leadSource",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 14,
          "value": "Advertisement"
        },
        {
          "id": 15,
          "value": "Other"
        },
        {
          "id": 16,
          "value": "Employee Referral"
        },
        {
          "id": 19,
          "value": "Partner"
        },
        {
          "id": 20,
          "value": "Public Relations"
        },
        {
          "id": 24,
          "value": "Trade Show"
        },
        {
          "id": 86,
          "value": "Word Of Mouth"
        },
        {
          "id": 273,
          "value": "Web To Lead"
        },
        {
          "id": 275,
          "value": "Call"
        },
        {
          "id": 276,
          "value": "Existing Customer"
        },
        {
          "id": 277,
          "value": "Self-Generated"
        },
        {
          "id": 278,
          "value": "Employee"
        },
        {
          "id": 279,
          "value": "Direct Mail"
        },
        {
          "id": 280,
          "value": "Conference"
        },
        {
          "id": 281,
          "value": "Website/Blogs"
        },
        {
          "id": 283,
          "value": "Email/Campaign"
        },
        {
          "id": 373,
          "value": "Imported"
        },
        {
          "id": 476,
          "value": "Phone Contact"
        },
        {
          "id": 515,
          "value": "Chat"
        },
        {
          "id": 517,
          "value": "IndiaMart"
        },
        {
          "id": 518,
          "value": "Event Brite"
        },
        {
          "id": 519,
          "value": "Facebook"
        },
        {
          "id": 520,
          "value": "Mobile App"
        },
        {
          "id": 521,
          "value": "JustDial"
        },
        {
          "id": 522,
          "value": "Web-Trial"
        },
        {
          "id": 523,
          "value": "Web-Contact Us"
        },
        {
          "id": 524,
          "value": "Web-Demo"
        },
        {
          "id": 525,
          "value": "Dataguru"
        },
        {
          "id": 532,
          "value": "99Acres"
        },
        {
          "id": 533,
          "value": "Magic Bricks"
        },
        {
          "id": 534,
          "value": "99Acres.com"
        },
        {
          "id": 535,
          "value": "Housing"
        },
        {
          "id": 538,
          "value": "Google_Adwords"
        },
        {
          "id": 540,
          "value": "LinkedIn"
        },
        {
          "id": 541,
          "value": "Festival Offer 2021"
        }
      ],
      "sortOrder": 19,
      "isMandatory": false,
      "defaultValue": "0",
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 24,
      "fieldName": "Google+ Profile",
      "formFieldName": "googlePlusID",
      "fieldType": "URL",
      "sortOrder": 28,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 636,
      "fieldName": "Receivable Date",
      "fieldType": "Date",
      "sortOrder": 29,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 823,
      "fieldName": "utmCampaign",
      "fieldType": "Text",
      "fieldLength": "25",
      "sortOrder": 38,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 820,
      "fieldName": "utmSource",
      "fieldType": "Text",
      "fieldLength": "255",
      "sortOrder": 35,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 824,
      "fieldName": "utmTerm",
      "fieldType": "Text",
      "fieldLength": "255",
      "sortOrder": 39,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 637,
      "fieldName": "Linkedin ID",
      "fieldType": "Text",
      "fieldLength": "20",
      "sortOrder": 30,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 660,
      "fieldName": "Auto seq",
      "fieldType": "Autogenerated Sequence",
      "sortOrder": 31,
      "isMandatory": false,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 1,
      "fieldName": "Lead Owner",
      "formFieldName": "leadOwner",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 2187,
          "value": "Dev Admin"
        },
        {
          "id": 2188,
          "value": "E.H. Tariq"
        },
        {
          "id": 2189,
          "value": "Alfarah Mohammed"
        },
        {
          "id": 2191,
          "value": "Ananya Anand"
        },
        {
          "id": 2192,
          "value": "Ishwar Chand"
        },
        {
          "id": 2197,
          "value": "Umar Bilal"
        },
        {
          "id": 2199,
          "value": "Saad Moyeen"
        },
        {
          "id": 2203,
          "value": "Sajid Shaikh"
        },
        {
          "id": 2205,
          "value": "Prashant Tyagi"
        },
        {
          "id": 2206,
          "value": "Manager Sales"
        },
        {
          "id": 2207,
          "value": "Sales Executive"
        },
        {
          "id": 2208,
          "value": "Saddam Husain"
        },
        {
          "id": 2210,
          "value": "Shozab Abbas"
        },
        {
          "id": 2211,
          "value": "Arushi Saxena"
        },
        {
          "id": 2212,
          "value": "Ashish Tiwari"
        },
        {
          "id": 2214,
          "value": "Altamash Abideen"
        },
        {
          "id": 2215,
          "value": "Faiz Ansari"
        },
        {
          "id": 2216,
          "value": "Himanshu kumar"
        },
        {
          "id": 2217,
          "value": "Harish Kumar"
        },
        {
          "id": 2219,
          "value": "Ali Zaidi"
        }
      ],
      "sortOrder": 5,
      "isMandatory": true,
      "defaultValue": "0",
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 462,
      "fieldName": "Title",
      "formFieldName": "leadTitle",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 268,
          "value": "Mr"
        },
        {
          "id": 269,
          "value": "Ms"
        },
        {
          "id": 270,
          "value": "Mrs"
        },
        {
          "id": 271,
          "value": "Dr"
        },
        {
          "id": 272,
          "value": "Prof"
        }
      ],
      "sortOrder": 6,
      "isMandatory": true,
      "defaultValue": "0",
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 7,
      "fieldName": "Company Name",
      "formFieldName": "company",
      "fieldType": "Text",
      "fieldLength": "100",
      "sortOrder": 7,
      "isMandatory": true,
      "section": "Lead Details",
      "sectionId": 4
    },
    {
      "id": 26,
      "fieldName": "City",
      "formFieldName": "city",
      "fieldType": "Text",
      "fieldLength": "100",
      "sortOrder": 1,
      "isMandatory": false,
      "section": "Address Information",
      "sectionId": 5
    },
    {
      "id": 27,
      "fieldName": "Country",
      "formFieldName": "countryId",
      "fieldType": "PickList",
      "sortOrder": 2,
      "isMandatory": false,
      "section": "Address Information",
      "sectionId": 5
    },
    {
      "id": 28,
      "fieldName": "State",
      "formFieldName": "state",
      "fieldType": "PickList",
      "sortOrder": 3,
      "isMandatory": false,
      "section": "Address Information",
      "sectionId": 5
    },
    {
      "id": 29,
      "fieldName": "Zip Code",
      "formFieldName": "zipCode",
      "fieldType": "Text",
      "fieldLength": "100",
      "sortOrder": 4,
      "isMandatory": false,
      "section": "Address Information",
      "sectionId": 5
    },
    {
      "id": 30,
      "fieldName": "Longitude",
      "formFieldName": "longitude",
      "fieldType": "Text",
      "fieldLength": "100",
      "sortOrder": 5,
      "isMandatory": false,
      "section": "Address Information",
      "sectionId": 5
    },
    {
      "id": 31,
      "fieldName": "Latitude",
      "formFieldName": "latitude",
      "fieldType": "Text",
      "fieldLength": "100",
      "sortOrder": 6,
      "isMandatory": false,
      "section": "Address Information",
      "sectionId": 5
    },
    {
      "id": 25,
      "fieldName": "Street2",
      "formFieldName": "street",
      "fieldType": "Text",
      "fieldLength": "100",
      "sortOrder": 0,
      "isMandatory": false,
      "section": "Address Information",
      "sectionId": 5
    },
    {
      "id": 32,
      "fieldName": "Description",
      "formFieldName": "description",
      "fieldType": "Text Area",
      "fieldLength": "2000",
      "sortOrder": 0,
      "isMandatory": false,
      "section": "Additional Information",
      "sectionId": 6
    },
    {
      "id": 741,
      "fieldName": "Picklist",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 156,
          "value": "b"
        },
        {
          "id": 153,
          "value": "d"
        },
        {
          "id": 154,
          "value": "a"
        },
        {
          "id": 157,
          "value": "f"
        },
        {
          "id": 155,
          "value": "c"
        }
      ],
      "sortOrder": 1,
      "isMandatory": false,
      "defaultValue": "0",
      "section": "Additional Information",
      "sectionId": 6
    },
    {
      "id": 804,
      "fieldName": "Multipick",
      "fieldType": "Multi-Picker",
      "pickListValues": [
        {
          "id": 205,
          "value": "Delhi"
        },
        {
          "id": 204,
          "value": "Mumbai"
        },
        {
          "id": 202,
          "value": "Lucknow"
        },
        {
          "id": 203,
          "value": "Goa"
        },
        {
          "id": 230,
          "value": "UP"
        }
      ],
      "sortOrder": 6,
      "isMandatory": false,
      "section": "Additional Information",
      "sectionId": 6
    },
    {
      "id": 813,
      "fieldName": "multi",
      "fieldType": "Multi-Picker",
      "pickListValues": [
        {
          "id": 216,
          "value": "A"
        },
        {
          "id": 228,
          "value": "N"
        },
        {
          "id": 217,
          "value": "C"
        },
        {
          "id": 219,
          "value": "E"
        },
        {
          "id": 226,
          "value": "L"
        },
        {
          "id": 227,
          "value": "M"
        },
        {
          "id": 215,
          "value": "B"
        },
        {
          "id": 221,
          "value": "G"
        },
        {
          "id": 218,
          "value": "D"
        },
        {
          "id": 223,
          "value": "I"
        },
        {
          "id": 225,
          "value": "K"
        },
        {
          "id": 220,
          "value": "F"
        },
        {
          "id": 222,
          "value": "H"
        },
        {
          "id": 224,
          "value": "J"
        }
      ],
      "sortOrder": 10,
      "isMandatory": false,
      "section": "Additional Information",
      "sectionId": 6
    },
    {
      "id": 806,
      "fieldName": "time",
      "fieldType": "Time",
      "sortOrder": 7,
      "isMandatory": false,
      "section": "Additional Information",
      "sectionId": 6
    },
    {
      "id": 815,
      "fieldName": "formula field",
      "fieldType": "Formula",
      "sortOrder": 11,
      "isMandatory": false,
      "section": "Additional Information",
      "sectionId": 6
    },
    {
      "id": 810,
      "fieldName": "abcd",
      "fieldType": "Text",
      "fieldLength": "23",
      "sortOrder": 8,
      "isMandatory": false,
      "section": "Additional Information",
      "sectionId": 6
    },
    {
      "id": 811,
      "fieldName": "check",
      "fieldType": "Checkbox",
      "sortOrder": 9,
      "isMandatory": false,
      "section": "Additional Information",
      "sectionId": 6
    },
    {
      "id": 738,
      "fieldName": "Date",
      "fieldType": "Date",
      "sortOrder": 2,
      "isMandatory": false,
      "section": "Additional Information",
      "sectionId": 6
    },
    {
      "id": 787,
      "fieldName": "AA Test",
      "fieldType": "Text",
      "fieldLength": "15",
      "sortOrder": 3,
      "isMandatory": false,
      "section": "Additional Information",
      "sectionId": 6
    },
    {
      "id": 794,
      "fieldName": "Account Created Date",
      "fieldType": "Date",
      "sortOrder": 4,
      "isMandatory": false,
      "section": "Additional Information",
      "sectionId": 6
    },
    {
      "id": 795,
      "fieldName": "Account Email",
      "fieldType": "Email",
      "sortOrder": 5,
      "isMandatory": false,
      "section": "Additional Information",
      "sectionId": 6
    },
    {
      "id": 800,
      "fieldName": "Send 2nd Email",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 194,
          "value": "Yes"
        },
        {
          "id": 195,
          "value": "No"
        }
      ],
      "sortOrder": 2,
      "isMandatory": false,
      "defaultValue": "0",
      "section": "Auto responder",
      "sectionId": 61
    },
    {
      "id": 801,
      "fieldName": "2nd Email Send",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 196,
          "value": "No"
        },
        {
          "id": 197,
          "value": "Yes"
        }
      ],
      "sortOrder": 3,
      "isMandatory": false,
      "section": "Auto responder",
      "sectionId": 61
    },
    {
      "id": 798,
      "fieldName": "Send 1st Email",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 190,
          "value": "Yes"
        },
        {
          "id": 191,
          "value": "No"
        }
      ],
      "sortOrder": 0,
      "isMandatory": false,
      "defaultValue": "0",
      "section": "Auto responder",
      "sectionId": 61
    },
    {
      "id": 802,
      "fieldName": "Send 3rd Email",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 199,
          "value": "No"
        },
        {
          "id": 198,
          "value": "Yes"
        }
      ],
      "sortOrder": 4,
      "isMandatory": false,
      "section": "Auto responder",
      "sectionId": 61
    },
    {
      "id": 799,
      "fieldName": "1st Email Sent",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 192,
          "value": "No"
        },
        {
          "id": 193,
          "value": "Yes"
        }
      ],
      "sortOrder": 1,
      "isMandatory": false,
      "defaultValue": "0",
      "section": "Auto responder",
      "sectionId": 61
    },
    {
      "id": 803,
      "fieldName": "3rd Email Send",
      "fieldType": "PickList",
      "pickListValues": [
        {
          "id": 201,
          "value": "No"
        },
        {
          "id": 200,
          "value": "Yes"
        }
      ],
      "sortOrder": 5,
      "isMandatory": false,
      "section": "Auto responder",
      "sectionId": 61
    }
  ]
}

```

* **[GET]:/lead/list**
```json
{
    "status": "OK",
    "result": [
        {
            "leadId": 9,
            "phone": "91 80 55663214",
            "company": "IBM India Private Limited",
            "status": "Open Lead",
            "owner": "Alfarah Mohammed",
            "createdOn": "Fri, Jul 14, 2017 | 01:41:14",
            "createdBy": "Alfarah Mohammed",
            "updatedOn": "Thu, Apr 30, 2020 | 04:30:39",
            "updatedBy": "Faiz Ansari"
        },
        {
            "leadId": 11,
            "phone": "999999999",
            "mobile": "9910808939",
            "company": "Salezshark",
            "website": "http://www.salezshark.com/",
            "status": "Open Lead",
            "owner": "Dev Admin",
            "createdOn": "Wed, Nov 01, 2017 | 07:19:27",
            "createdBy": "Dev Admin",
            "updatedOn": "Wed, Jun 17, 2020 | 12:48:26",
            "updatedBy": "Faiz Ansari"
        },
        {
            "leadId": 20,
            "phone": "91 40 25566301",
            "company": "Indu Projects Ltd",
            "website": "https://",
            "status": "Open Lead",
            "owner": "Faiz Ansari",
            "createdOn": "Tue, Nov 07, 2017 | 11:08:07",
            "createdBy": "Sales Executive",
            "updatedOn": "Sat, Jun 27, 2020 | 01:26:58",
            "updatedBy": "Faiz Ansari"
        },
        {
            "leadId": 26,
            "email": "vkViswanathan@bosch.com",
            "mobile": "9181918852",
            "company": "Bosch Ltd",
            "status": "Open Lead",
            "owner": "Sales Executive",
            "createdOn": "Tue, Nov 07, 2017 | 11:08:07",
            "createdBy": "Sales Executive",
            "updatedOn": "Thu, Apr 30, 2020 | 04:32:55",
            "updatedBy": "Himanshu kumar"
        },
        {
            "leadId": 32,
            "email": "etariq.haq1@gmail.com",
            "mobile": "9810166130",
            "company": "Salezshark",
            "website": "https://www.xavient.com",
            "status": "Contacted",
            "owner": "Dev Admin",
            "createdOn": "Thu, Nov 09, 2017 | 08:30:18",
            "createdBy": "Dev Admin",
            "updatedOn": "Thu, Apr 30, 2020 | 04:06:37",
            "updatedBy": "Faiz Ansari"
        },
        {
            "leadId": 33,
            "email": "er.nitin.sanghi@gmail.com",
            "mobile": "+919899001558",
            "status": "Open Lead",
            "owner": "Dev Admin",
            "createdOn": "Thu, Nov 09, 2017 | 08:30:18",
            "createdBy": "Dev Admin",
            "updatedOn": "Thu, Apr 30, 2020 | 04:07:33",
            "updatedBy": "Faiz Ansari"
        },
        {
            "leadId": 34,
            "email": "aazimkhan123@gmail.com",
            "mobile": "+918527868883",
            "status": "Open Lead",
            "owner": "Dev Admin",
            "createdOn": "Thu, Nov 09, 2017 | 08:30:18",
            "createdBy": "Dev Admin",
            "updatedOn": "Thu, Apr 30, 2020 | 04:07:33",
            "updatedBy": "Faiz Ansari"
        },
        {
            "leadId": 35,
            "email": "aazimkhan123@gmail.com",
            "mobile": "+919910201660",
            "status": "Open Lead",
            "owner": "Dev Admin",
            "createdOn": "Thu, Nov 09, 2017 | 08:30:18",
            "createdBy": "Dev Admin",
            "updatedOn": "Fri, May 15, 2020 | 02:00:51",
            "updatedBy": "Saad Moyeen"
        },
        {
            "leadId": 36,
            "email": "kamlesh451983@gmail.com",
            "mobile": "+919560627929",
            "status": "Open Lead",
            "owner": "Dev Admin",
            "createdOn": "Thu, Nov 09, 2017 | 08:30:18",
            "createdBy": "Dev Admin",
            "updatedOn": "Fri, May 15, 2020 | 02:04:08",
            "updatedBy": "Saad Moyeen"
        },
        {
            "leadId": 37,
            "email": "prashant.tyagi2305@gmail.com",
            "mobile": "+919873210746",
            "status": "Open Lead",
            "owner": "Dev Admin",
            "createdOn": "Thu, Nov 09, 2017 | 08:30:18",
            "createdBy": "Dev Admin",
            "updatedOn": "Tue, Jun 09, 2020 | 12:22:31",
            "updatedBy": "Faiz Ansari"
        }
    ]
}
```
* **[POST]:/subscribe/webhook**

* **Request**
```json
{
  "url": "https://hooks.zapier.com/hid/123",
  "event": "lead.create"
}
```

* **Response**
```json

{
    "status": "OK",
    "result": {
        "id": 3,
        "url": "https://hooks.zapier.com/hid/123",
        "event": "lead.create"
    }
}
```

* **[DELETE]:/unsubscribe/webhook/3**

* **Response**
```json
{
    "success": true,
    "status": "OK"
}
```


