package com.engage.zapier.entity.common;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "master_data")

public class MasterDataEntity {

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "master_data_id", columnDefinition = "VARCHAR")
	private Long masterDataId;

	@Column(name = "data_value")
	private String dataValue;

	@Column(name = "data_type")
	private String dataType;

	@Column(name = "order_by", columnDefinition = "smallInteger")
	private Long sortOrder;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "master_parent_id", referencedColumnName = "master_data_id")
	private MasterDataEntity masterDataByMasterParentId;

	public Long getMasterDataId() {
		return masterDataId;
	}

	public void setMasterDataId(Long masterDataId) {
		this.masterDataId = masterDataId;
	}

	public String getDataValue() {
		return dataValue;
	}

	public void setDataValue(String dataValue) {
		this.dataValue = dataValue;
	}

	public String getDataType() {
		return dataType;
	}

	public void setDataType(String dataType) {
		this.dataType = dataType;
	}

	public Long getSortOrder() {
		return sortOrder;
	}

	public void setSortOrder(Long sortOrder) {
		this.sortOrder = sortOrder;
	}

	public MasterDataEntity getMasterDataByMasterParentId() {
		return masterDataByMasterParentId;
	}

	public void setMasterDataByMasterParentId(MasterDataEntity masterDataByMasterParentId) {
		this.masterDataByMasterParentId = masterDataByMasterParentId;
	}
}