package com.engage.zapier.entity.common;

import javax.persistence.Column;
import javax.persistence.Convert;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.engage.zapier.converter.BooleanConverter;


@Entity
@Table(name = "module")
public class ModuleEntity {

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "module_id")
	private Long moduleId;

	@Column(name = "module_name")
	private String moduleName;

	@Column(name = "is_deleted")
	@Convert(converter = BooleanConverter.class)
	private Boolean isDeleted;
	
	@Column(name = "sort_order")
	private Integer sortOrder;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "organisation_id", referencedColumnName = "organization_id", nullable = false)
	private SubscriberOrganizationEntity subscriberOrganizationByOrganizationId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "parent_id", referencedColumnName = "module_id")
	private ModuleEntity parentModuleEntity;
	
	@Column(name = "is_active")
	private String isActive;

	public Long getModuleId() {
		return moduleId;
	}

	public void setModuleId(Long moduleId) {
		this.moduleId = moduleId;
	}

	public String getModuleName() {
		return moduleName;
	}

	public void setModuleName(String moduleName) {
		this.moduleName = moduleName;
	}

	public Boolean getIsDeleted() {
		return isDeleted;
	}

	public void setIsDeleted(Boolean isDeleted) {
		this.isDeleted = isDeleted;
	}

	public Integer getSortOrder() {
		return sortOrder;
	}

	public void setSortOrder(Integer sortOrder) {
		this.sortOrder = sortOrder;
	}

	public SubscriberOrganizationEntity getSubscriberOrganizationByOrganizationId() {
		return subscriberOrganizationByOrganizationId;
	}

	public void setSubscriberOrganizationByOrganizationId(
			SubscriberOrganizationEntity subscriberOrganizationByOrganizationId) {
		this.subscriberOrganizationByOrganizationId = subscriberOrganizationByOrganizationId;
	}

	public ModuleEntity getParentModuleEntity() {
		return parentModuleEntity;
	}

	public void setParentModuleEntity(ModuleEntity parentModuleEntity) {
		this.parentModuleEntity = parentModuleEntity;
	}

	public String getIsActive() {
		return isActive;
	}

	public void setIsActive(String isActive) {
		this.isActive = isActive;
	}
}