package com.engage.zapier.entity.common;

import javax.persistence.Column;
import javax.persistence.Convert;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import com.engage.zapier.converter.BooleanConverter;

@Entity
@Table(name = "subscriber_organization")
public class SubscriberOrganizationEntity {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "organization_id",columnDefinition="VARCHAR")
    private Long organizationId;

    @Column(name = "name")
    private String name;

    @Column(name = "registration_id")
    private String registrationId;

    @Column(name = "is_deleted")
    @Convert(converter = BooleanConverter.class)
    private Boolean isDeleted;

    @Column(name = "image_file_key")
    private String imageFileKey;

	public Long getOrganizationId() {
		return organizationId;
	}

	public void setOrganizationId(Long organizationId) {
		this.organizationId = organizationId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getRegistrationId() {
		return registrationId;
	}

	public void setRegistrationId(String registrationId) {
		this.registrationId = registrationId;
	}

	public Boolean getIsDeleted() {
		return isDeleted;
	}

	public void setIsDeleted(Boolean isDeleted) {
		this.isDeleted = isDeleted;
	}

	public String getImageFileKey() {
		return imageFileKey;
	}

	public void setImageFileKey(String imageFileKey) {
		this.imageFileKey = imageFileKey;
	}
}