package com.engage.zapier.entity.common;

import java.time.LocalDateTime;

import javax.persistence.Column;
import javax.persistence.Convert;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import com.engage.zapier.converter.LocalDateTimeConverter;

@Entity
@Table(name = "user_authentication")
public class UserAuthenticationEntity {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "authentication_id")
    private Long authenticationId;

    @Column(name = "email_id")
    private String emailId;

    @Column(name = "password")
    private String password;

    @Column(name = "reset_code")
    private String resetCode;

    @Column(name = "reset_code_time")
    @Convert(converter = LocalDateTimeConverter.class)
    private LocalDateTime resetCodeTime;

	public Long getAuthenticationId() {
		return authenticationId;
	}

	public void setAuthenticationId(Long authenticationId) {
		this.authenticationId = authenticationId;
	}

	public String getEmailId() {
		return emailId;
	}

	public void setEmailId(String emailId) {
		this.emailId = emailId;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getResetCode() {
		return resetCode;
	}

	public void setResetCode(String resetCode) {
		this.resetCode = resetCode;
	}

	public LocalDateTime getResetCodeTime() {
		return resetCodeTime;
	}

	public void setResetCodeTime(LocalDateTime resetCodeTime) {
		this.resetCodeTime = resetCodeTime;
	}

	/*@OneToMany(mappedBy = "userAuthenticationByAuthenticationId")
	private Collection<UserMappingsEntity> userMappingsByAuthenticationId;*/    
}