package com.engage.zapier.entity.common;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "user_mappings")
public class UserMappingsEntity {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "user_mapping_id")
    private Long userMappingId;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "address_id", referencedColumnName = "address_id")
    private UserAddressEntity userAddressByAddressId;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "role_id", referencedColumnName = "Role_id")
    private RoleEntity roleNewByRoleId;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "profile_id", referencedColumnName = "Profile_Id")
    private ProfileEntity profileByProfileId;

    @ManyToOne(fetch = FetchType.EAGER)
    @JoinColumn(name = "organization_id", referencedColumnName = "organization_id")
    private SubscriberOrganizationEntity subscriberOrganizationByOrganizationId;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "authentication_id", referencedColumnName = "authentication_id")
    private UserAuthenticationEntity userAuthenticationByAuthenticationId;

    @ManyToOne(fetch = FetchType.EAGER)
    @JoinColumn(name = "team_id", referencedColumnName = "team_id")
    private TeamEntity teamByTeamId;

	public Long getUserMappingId() {
		return userMappingId;
	}

	public void setUserMappingId(Long userMappingId) {
		this.userMappingId = userMappingId;
	}

	public UserAddressEntity getUserAddressByAddressId() {
		return userAddressByAddressId;
	}

	public void setUserAddressByAddressId(UserAddressEntity userAddressByAddressId) {
		this.userAddressByAddressId = userAddressByAddressId;
	}

	public RoleEntity getRoleNewByRoleId() {
		return roleNewByRoleId;
	}

	public void setRoleNewByRoleId(RoleEntity roleNewByRoleId) {
		this.roleNewByRoleId = roleNewByRoleId;
	}

	public ProfileEntity getProfileByProfileId() {
		return profileByProfileId;
	}

	public void setProfileByProfileId(ProfileEntity profileByProfileId) {
		this.profileByProfileId = profileByProfileId;
	}

	public SubscriberOrganizationEntity getSubscriberOrganizationByOrganizationId() {
		return subscriberOrganizationByOrganizationId;
	}

	public void setSubscriberOrganizationByOrganizationId(
			SubscriberOrganizationEntity subscriberOrganizationByOrganizationId) {
		this.subscriberOrganizationByOrganizationId = subscriberOrganizationByOrganizationId;
	}

	public UserAuthenticationEntity getUserAuthenticationByAuthenticationId() {
		return userAuthenticationByAuthenticationId;
	}

	public void setUserAuthenticationByAuthenticationId(UserAuthenticationEntity userAuthenticationByAuthenticationId) {
		this.userAuthenticationByAuthenticationId = userAuthenticationByAuthenticationId;
	}

	public TeamEntity getTeamByTeamId() {
		return teamByTeamId;
	}

	public void setTeamByTeamId(TeamEntity teamByTeamId) {
		this.teamByTeamId = teamByTeamId;
	}
}