package com.engage.zapier.entity.master;

import java.time.LocalDateTime;

import javax.persistence.Column;
import javax.persistence.Convert;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import com.engage.zapier.converter.LocalDateTimeConverter;

@Entity
@Table(name = "oauth_token_details")
public class OauthTokenDetailsEntity {

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "token_id")
	private Integer tokenId;

	@Column(name = "access_token")
	private String accessToken;
	
	@Column(name = "refresh_token")
	private String refereshToken;
	
	@Column(name = "client_id")
	private String clientId;
	
	@Column(name = "dsmId")
	private String dsmId;
	
	@Column(name = "email_id")
	private String email;
	
	@Column(name = "expires_in")
	private int expiresInMiliSeconds;
	
	@Column(name = "is_deleted")
	private String isDeleted;
	
	@Column(name = "created_date")
    @Convert(converter = LocalDateTimeConverter.class)
    private LocalDateTime createdDate;

    @Column(name = "updated_date")
    @Convert(converter = LocalDateTimeConverter.class)
    private LocalDateTime updatedDate;

	/**
	 * @return the tokenId
	 */
	public Integer getTokenId() {
		return tokenId;
	}

	/**
	 * @param tokenId the tokenId to set
	 */
	public void setTokenId(Integer tokenId) {
		this.tokenId = tokenId;
	}

	/**
	 * @return the accessToken
	 */
	public String getAccessToken() {
		return accessToken;
	}

	/**
	 * @param accessToken the accessToken to set
	 */
	public void setAccessToken(String accessToken) {
		this.accessToken = accessToken;
	}

	/**
	 * @return the refereshToken
	 */
	public String getRefereshToken() {
		return refereshToken;
	}

	/**
	 * @param refereshToken the refereshToken to set
	 */
	public void setRefereshToken(String refereshToken) {
		this.refereshToken = refereshToken;
	}

	/**
	 * @return the clientId
	 */
	public String getClientId() {
		return clientId;
	}

	/**
	 * @param clientId the clientId to set
	 */
	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	/**
	 * @return the dsmId
	 */
	public String getDsmId() {
		return dsmId;
	}

	/**
	 * @param dsmId the dsmId to set
	 */
	public void setDsmId(String dsmId) {
		this.dsmId = dsmId;
	}

	/**
	 * @return the email
	 */
	public String getEmail() {
		return email;
	}

	/**
	 * @param email the email to set
	 */
	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * @return the expiresInMiliSeconds
	 */
	public int getExpiresInMiliSeconds() {
		return expiresInMiliSeconds;
	}

	/**
	 * @param expiresInMiliSeconds the expiresInMiliSeconds to set
	 */
	public void setExpiresInMiliSeconds(int expiresInMiliSeconds) {
		this.expiresInMiliSeconds = expiresInMiliSeconds;
	}

	/**
	 * @return the isDeleted
	 */
	public String getIsDeleted() {
		return isDeleted;
	}

	/**
	 * @param isDeleted the isDeleted to set
	 */
	public void setIsDeleted(String isDeleted) {
		this.isDeleted = isDeleted;
	}

	/**
	 * @return the createdDate
	 */
	public LocalDateTime getCreatedDate() {
		return createdDate;
	}

	/**
	 * @param createdDate the createdDate to set
	 */
	public void setCreatedDate(LocalDateTime createdDate) {
		this.createdDate = createdDate;
	}

	/**
	 * @return the updatedDate
	 */
	public LocalDateTime getUpdatedDate() {
		return updatedDate;
	}

	/**
	 * @param updatedDate the updatedDate to set
	 */
	public void setUpdatedDate(LocalDateTime updatedDate) {
		this.updatedDate = updatedDate;
	}

	
}