package com.engage.zapier.entity.master;

import java.time.LocalDateTime;

import javax.persistence.Column;
import javax.persistence.Convert;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import com.engage.zapier.converter.LocalDateTimeConverter;

@Entity
@Table(name = "user_master")
public class UserMasterEntity {
	
	@Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "USER_MASTER_ID")
    private Long userMasterId;
	
	@Column(name = "USER_ID")
    private Long userId;
	
	@Column(name = "FIRST_NAME")
    private String firstName;
	
	@Column(name = "LAST_NAME")
    private String lastName;
	
	@Column(name = "IS_DELETED")
    private String isDeleted;
	
	@Column(name = "CONFIRMATION_STATUS")
    private String confirmationStatus;
	
	@Column(name = "ORGANIZATION_ID")
    private Long organizationId;
	
	@Column(name = "PERMANENT_DELETED")
    private String permanentDeleted;
	
	@Column(name = "REPORT_TO")
    private Long reportTo;	
	
	@Column(name = "EMAIL_ID")
    private String emailId;
	
	@Column(name = "PASSWORD")
    private String password;
	
	@Column(name = "RESET_CODE")
    private String resetCode;
	
	@Column(name = "RESET_CODE_TIME")
	@Convert(converter = LocalDateTimeConverter.class)
    private LocalDateTime resetCodeTime;	
	
	@Column(name = "DATA_SOURCE_MAPPING_ID")
    private Long datasourceMappingId;
	
	@Column(name = "MOBILE")
    private String mobile;
	
	@Column(name = "PHONE_NUMBER")
    private String phoneNumber;

	public Long getUserMasterId() {
		return userMasterId;
	}

	public void setUserMasterId(Long userMasterId) {
		this.userMasterId = userMasterId;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public String getIsDeleted() {
		return isDeleted;
	}

	public void setIsDeleted(String isDeleted) {
		this.isDeleted = isDeleted;
	}

	public String getConfirmationStatus() {
		return confirmationStatus;
	}

	public void setConfirmationStatus(String confirmationStatus) {
		this.confirmationStatus = confirmationStatus;
	}

	public Long getOrganizationId() {
		return organizationId;
	}

	public void setOrganizationId(Long organizationId) {
		this.organizationId = organizationId;
	}

	public String getPermanentDeleted() {
		return permanentDeleted;
	}

	public void setPermanentDeleted(String permanentDeleted) {
		this.permanentDeleted = permanentDeleted;
	}

	public Long getReportTo() {
		return reportTo;
	}

	public void setReportTo(Long reportTo) {
		this.reportTo = reportTo;
	}

	public String getEmailId() {
		return emailId;
	}

	public void setEmailId(String emailId) {
		this.emailId = emailId;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getResetCode() {
		return resetCode;
	}

	public void setResetCode(String resetCode) {
		this.resetCode = resetCode;
	}

	public LocalDateTime getResetCodeTime() {
		return resetCodeTime;
	}

	public void setResetCodeTime(LocalDateTime resetCodeTime) {
		this.resetCodeTime = resetCodeTime;
	}

	public Long getDatasourceMappingId() {
		return datasourceMappingId;
	}

	public void setDatasourceMappingId(Long datasourceMappingId) {
		this.datasourceMappingId = datasourceMappingId;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}	
	
	public String getUserFullName() {
		String name = "";
		if (this.firstName != null) {
			name = name + this.firstName;
		}
		if (this.firstName != null && this.lastName != null) {
			name = name + " ";
		}
		if (this.lastName != null) {
			name = name + this.lastName + " ";
		}
		return name;
	}
}