package com.engage.zapier.repository.common;

import java.util.List;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;

import com.engage.zapier.entity.common.CRMFieldEntity;
import com.engage.zapier.entity.common.ModuleEntity;
import com.engage.zapier.entity.common.SubscriberOrganizationEntity;

public interface CRMFieldRepository extends CrudRepository<CRMFieldEntity, Long> {
	List<CRMFieldEntity> findBysubscriberOrganizationByOrganizationIdAndModuleIdInAndIsCustomAndIsDeletedAndIsActive(SubscriberOrganizationEntity organizationEntity, List<ModuleEntity> moduleEntityList, int isCustom, Boolean isDeleted, Boolean isActive);
	
	@Query("SELECT crmField FROM CRMFieldEntity crmField WHERE crmField.subscriberOrganizationByOrganizationId.organizationId IN (:organizationIds) "
			+ "AND crmField.moduleId IN (:moduleEntityList) AND crmField.isActive = true AND crmField.isDeleted = false  "
			+ "order by crmField.moduleId, crmField.sortOrder, crmField.isCustom")
	List<CRMFieldEntity> findCRMFieldListByModule(@Param("organizationIds") List<Long> organizationIds,
			@Param("moduleEntityList") List<ModuleEntity> moduleEntityList);
}