package com.engage.zapier.repository.common;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Set;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import com.engage.zapier.entity.common.LeadEntity;
import com.engage.zapier.entity.common.UserEntity;

@Repository
public interface LeadRepository extends CrudRepository<LeadEntity, Long> {
	Long countByCreatedDateBetweenAndIsDeletedAndLeadOwnerIn(LocalDateTime startDate, LocalDateTime endDate,
			Boolean isDeleted, Set<UserEntity> userEntitySet);

	List<LeadEntity> findByCreatedDateBetweenAndIsDeletedAndLeadOwnerIn(LocalDateTime startDate, LocalDateTime endDate,
			Boolean isDeleted, Set<UserEntity> userEntitySet);
	
	Page<LeadEntity>findAllByLeadOwnerInAndIsDeleted(List<UserEntity> userEntitySet,Boolean isDeleted,Pageable page);
}