package com.engage.zapier.repository.common;

import java.util.List;

import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import com.engage.zapier.entity.common.MasterDataEntity;

@Repository
public interface MasterDataRepository extends CrudRepository<MasterDataEntity, Long> {
	MasterDataEntity findByMasterDataId(Long id);
	MasterDataEntity findByDataTypeIgnoreCaseAndDataValueIgnoreCase (String dataType,String dataValue);
	List<MasterDataEntity> findByDataTypeAndDataValueIn(String dataType,List<String> dataValueList);
	List<MasterDataEntity> findByDataType(String dataType);
	@Query("select master.masterDataId from MasterDataEntity master where dataType=:dataType")
	List<Long> getMasterDataIdListByDataType(@Param("dataType")String dataType);
	List<MasterDataEntity> findByDataValueInAndDataTypeIn(List<String>dataValueList,List<String>dataTypeList);
	List<MasterDataEntity> findByDataType(String dataType, Sort sortBy);
}