package com.engage.zapier.repository.common;


import java.util.List;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import com.engage.zapier.entity.common.ModuleEntity;

@Repository
public interface ModuleRepository extends CrudRepository<ModuleEntity, Long> {
	
	ModuleEntity findByModuleNameAndIsDeleted(String moduleName, Boolean isDeleted);
	
	@Query("select module.moduleId from ModuleEntity module where parentModuleEntity=:moduleEntity")
	List<Long> getModuleIdListByParentId(@Param("moduleEntity") ModuleEntity moduleEntity);
	
	@Query("select module from ModuleEntity module where parentModuleEntity=:moduleEntity and isActive='Y'")
	List<ModuleEntity> getModuleListByParentId(@Param("moduleEntity") ModuleEntity moduleEntity);
}