package com.engage.zapier.response;

import org.springframework.http.HttpStatus;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 
 * @author Sajid Shaikh
 *
 */
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class ServiceResponse<T> {

	private Boolean success;
	private String message;
	private HttpStatus status;
	private T result;

	public ServiceResponse() {
	}

	public ServiceResponse(T result, HttpStatus status, Boolean success, String message) {
		this.status = status;
		this.result = result;
		this.message = message;
		this.success = success;

	}

	public ServiceResponse(T result, HttpStatus status) {
		this.status = status;
		this.result = result;

	}
	
	public ServiceResponse(Boolean success, HttpStatus status) {
		this.status = status;
		this.success = success;

	}

	/**
	 * @return the success
	 */
	public Boolean getSuccess() {
		return success;
	}

	/**
	 * @param success the success to set
	 */
	public void setSuccess(Boolean success) {
		this.success = success;
	}

	/**
	 * @return the message
	 */
	public String getMessage() {
		return message;
	}

	/**
	 * @param message the message to set
	 */
	public void setMessage(String message) {
		this.message = message;
	}

	/**
	 * @return the status
	 */
	public HttpStatus getStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(HttpStatus status) {
		this.status = status;
	}

	/**
	 * @return the result
	 */
	public T getResult() {
		return result;
	}

	/**
	 * @param result the result to set
	 */
	public void setResult(T result) {
		this.result = result;
	}

}
