package com.engage.zapier.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.engage.zapier.entity.master.OauthTokenDetailsEntity;
import com.engage.zapier.entity.master.UserMasterEntity;
import com.engage.zapier.repository.master.OauthTokenDetailsRepository;
import com.engage.zapier.repository.master.UserMasterRepository;
import com.engage.zapier.service.UserMasterService;

@Service
public class UserMasterServiceImpl implements UserMasterService {
	
	@Autowired
	private UserMasterRepository userMasterRepository;
	
	@Autowired
	private OauthTokenDetailsRepository oAuthTokenDetailsRepository;
	
	public UserMasterEntity getUserMasterEntityByUserIdAndOrganizationId(long userId, long organizationId) {
		return userMasterRepository.findByUserIdAndOrganizationIdAndIsDeleted(userId, organizationId, "N");
	}
	
	public OauthTokenDetailsEntity getOauthTokenDetailsEntityByAccessToken(String accessToken, String isDeleted) {
		return oAuthTokenDetailsRepository.findByAccessTokenAndIsDeleted(accessToken, isDeleted);
	}
	
	public OauthTokenDetailsEntity getOauthTokenDetailsEntityByAccessTokenAndDsmId(String accessToken, String dsmId, String isDeleted) {
		return oAuthTokenDetailsRepository.findByAccessTokenAndDsmIdAndIsDeleted(accessToken, dsmId, isDeleted);
	}
}